#!/bin/sh
#define "regular" variable
YRS="1993 1997 1999 2000 2001 2002 2003 2004 2005 2010 2012 2013"

#note above - need the quotes to make into single variable, else shell attempts to interpret everything after first element as command
#can use single or double if no special shell characters (for expansion, $), have to use appropriate quotes if there are special shell characters

echo print YRS out as regular bash variable list \$YRS [$YRS]
echo print YRS out as if it is an \"array\" \$\{YRS[\@]\} [${YRS[@]}]

echo access bash variable as regular list, print out
for YR in $YRS
do
echo [$YR]
done

echo get length of variable as if an array
LENYRS=${#YRS[@]}
echo print length LENYRS [$LENYRS]
echo not working as it is not an array, is regular bash variable, so comes out length 1

echo print out \"array like\", but need to know the length to hard code in
for cnt in `seq 1 12`
do
echo $cnt, YRS[$cnt] [${YRS[$cnt]}]
done
echo and this does not work as YRS is not an array

echo make YRS into array without quotes on individual elements
YRSA=(1993 1997 1999 2000 2001 2002 2003 2004 2005 2010 2012 2013)
echo printing out as regular variable does not work - YRSA [$YRSA]
echo printing out as array does - YRSA [${YRSA[@]}]

echo get length of array variable 
LENYRSA=${#YRSA[@]}
echo print length of array LENYRSA [$LENYRSA], this is actual length

echo print out using array indices, BUT - note indices go from 0 to length -1
#three ways to do integer arithmetic - LET, EVAL and double parentheses
MAXINDX=$(( $LENYRSA - 1 ))
echo max index for loop [$MAXINDX]
#have to watch spaces
for cnt in `seq 0 $MAXINDX`
do
echo $cnt, YRSA[$cnt] [${YRSA[$cnt]}]
done

echo make YRS into array with quotes on individual elements, note combining of last 2 - this is how quotes can be useful
YRSA=("1993" "1997" "1999" "2000" "2001" "2002" "2003" "2004" "2005" "2010" "2012 2013")
echo printing out as regular variable does not work - YRSA [$YRSA]
echo printing out as array does - YRSA ${YRSA[@]}

for cnt in `seq 0 $MAXINDX`
do
echo $cnt, YRSA[$cnt] [${YRSA[$cnt]}]
done

#this still regular bash variable
YRS="2010 2012"
#define some array variables - note DAYS[2010] is array element with the stuff in quotes as element, etc
DAYS[2010]='069073 075077 081081 083083 085106 215219 224225 227227 229231 234235 333335 338339'
DAYS[2012]="127129 131139 154159 162169 186187 209209 352366"

echo \"first\" element of array DAYS[2010] [${DAYS[2010]}]
echo \"second\" element of array DAYS[2012] [${DAYS[2012]}]
echo all elements of array DAYS[\@] [${DAYS[@]}]

#echo DAYS[2010]\(1\) [${DAYS[2010](1)}]
echo subelement DAYS[2010]\(1\) [${DAYS[2010](1)}]
echo this does not work - it is printing out the whole 2010 element, independent of what is in the parens - even if it makes no sense
#does not work with [] either

echo how to get at them, YR is a reguar bash variable list, and the elements of the array are pulled out into a list
for YR in $YRS
do
for DAY in ${DAYS[$YR]}
do
echo $YR, $DAY
done
done

#make YRS an array
YRS=(2010 2012)
#define some array variables - note DAYS[2010] is array element with an array assigned to it - falls over - cannot assign list to array member!
#DAYS[2010]=(069073 075077 081081 083083 085106 215219 224225 227227 229231 234235 333335 338339)
#DAYS[2012]=(127129 131139 154159 162169 186187 209209 352366)

WEEKS=(`seq 1300 1302`)
echo $WEEKS
echo ${WEEKS}
echo ${WEEKS[@]}
#remember - counts from 0
echo ${WEEKS[0]}
echo ${WEEKS[2]}
