#!/bin/bash
ROOT=~/unixside
echo $ROOT
PB=$ROOT/pb2002
REGION=0/360/-60/60
PROJ=-Jm0.06
RED=255/0/0
BLUE=0/0/255
GREEN=0/255/0
MAGENTA=255/0/255
CYAN=0/255/255
MOREPS=-K
CONTINUEPS="-K -O"
ENDPS=-O
OUTFILE=$0.ps
X=-X2.8
Y=-Y3.6

#for consecutive index numbering can use
BTYPE=( "Spreading" "Transform" "Convergent" "Subduction" )
#don't have to do following way
#in following case indices don't have to be numerically consecutive
#difference is above starts index at 0 and goes consecutevly to 3
#BTYPE[1]="Spreading"
#BTYPE[2]="Transform"
#BTYPE[3]="Convergent"
#BTYPE[4]="Subduction"

BCOLOR=( "red" "green" "blue" "purple" )

fn=0
for ((cnt=0; cnt<=3; cnt++))
do
files=`ls $PB/*${BTYPE[${cnt}]}*gmt`
for file in $files
do
fname[++fn]=$file
fcolor[fn]=${cnt}
done
done

rm merge_14.nts
anssfile=`ftp_anss14day.sh`
echo anssfile $anssfile

todaysyr=`date -u '+%y'`
todaysdate=`date -u '+%m %d'`
echo todaysdate $todaysdate
todaysdoy=`doy $todaysyr $todaysdate | grep DOY | nawk '{print $6}'`
if [ $todaysdoy -eq 1 ]
then
yesterdaysyr=$((yesterdaysyr-1))
#have not covered leap years!!
yesterdaysdoy=365
else
yesterdaysyr=todaysyr
yesterdaysdoy=$((todaysdoy-1))
fi
echo todaysdoy $todaysdoy, yesterdaysdoy $yesterdaysdoy
yesterdaysdate=`doy $todaysyr $yesterdaysdoy | grep Date | nawk '{print $2}' | nawk 'BEGIN{FS="/"}{print $1 $2 $3}'`
echo yesterdaysdate $yesterdaysdate
today=`date -u '+%y%m%d%H%M'`
yesterday=`echo $yesterdaysdate $today | nawk '{print substr($1,3,6) substr($2,7,4)}'`
echo today $today yesterday $yesterday

pscoast -R$REGION $PROJ -G200 -B30g15 -W1 $MOREPS $X $Y -Dh -U > $OUTFILE

nawk 'BEGIN { FS=""}; (substr($0,16,10)<"'`echo $yesterday`'") {print substr($0,29,7)/10000, substr($0,36,8)/10000 }' $anssfile | psxy -R$REGION $PROJ -Sc0.1 -G$CYAN -L -W.1/0 -: $CONTINUEPS >> $OUTFILE
nawk 'BEGIN { FS=""}; (substr($0,16,10)>="'`echo $yesterday`'") {print substr($0,29,7)/10000, substr($0,36,8)/10000 }' $anssfile | psxy -R$REGION $PROJ -Sc0.1 -G$MAGENTA -L  -W.1/0 -: $CONTINUEPS >> $OUTFILE

for ((cnt=1; cnt<=$fn; cnt++))
do
color=${BCOLOR[${fcolor[${cnt}]}]}
echo file num $cnt, name ${fname[${cnt}]}, has color $color
psxy -R$REGION $PROJ -M$ -W3/${BCOLOR[${fcolor[${cnt}]}]} $CONTINUEPS -V ${fname[${cnt}]} >> $OUTFILE
done

echo showpage >> $OUTFILE
